classification
Title: Fix pathlib.Path.(r)glob doc glitches.
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, adityahase, docs@python, gvanrossum, miss-islington, pitrou, r.david.murray, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2014-07-24 22:11 by terry.reedy, last changed 2019-02-11 12:03 by petr.viktorin. This issue is now closed.

Files
File name Uploaded Description Edit
pathlib.rst.patch Mike.Short, 2016-02-16 02:52 documentation updates review
pathlib.py.patch Mike.Short, 2016-02-16 03:03 docstring updates review
Pull Requests
URL Status Linked Edit
PR 8519 merged eivl, 2018-07-28 11:14
PR 11817 merged miss-islington, 2019-02-11 10:47
PR 11817 merged miss-islington, 2019-02-11 10:47
PR 11817 merged miss-islington, 2019-02-11 10:47
Messages (9)
msg223902 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-07-24 22:11
1. The pattern argument for .(r)glob must be relative. I think the docstrings and doc should say so. /pattern/relative pattern/

For rglob: '''This is like calling glob() with “**” added in front of the given pattern:'''

2. Currently "glob()" links to the glob module, which does not recognize '**'. It should link to back up to the Pathlib.glob entry, where the effect of '**' is defined. (I don't currently know the markup for that.)

3. I interpret '''“**” added in front of the given pattern:''' to mean '**' + pattern, so that '*.py' would become '***.py'. It actually becomes the equivalent of '**/*.p'. So I think '**' should be either '**/' or 'a "**" component'.
msg223903 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-07-24 22:23
Do non-relative patterns even make sense?  I was surprised to get a NotImplementedError instead of a ValueError.
msg257509 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-01-05 01:55
Classifying as easy doc bug.
msg290511 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-26 07:05
Can you create a pull request on GitHub Mike?
msg299001 - (view) Author: Aditya Hase (adityahase) * Date: 2017-07-24 17:32
Should I create a Github PR with given patch? If so, how do I give credit to the original author?
msg299003 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-07-24 17:46
Aditya:

The guideline for converting a patch to the PR is documented here:
https://devguide.python.org/pullrequest/#converting-an-existing-patch-from-the-b-p-o-to-github
msg299006 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-24 17:59
Since Mike has not responded in more that a week, please go ahead.  Just put "“Original patch by Mike Short."  in the commit comments (if you can, otherwise add a separate comment).  Please add News blurb (see devguide) if you know how, with at least a title line.  Mike has signed the CLA, though it would not matter here since his patch is taken from my message and could be classed as trivial.
msg335206 - (view) Author: miss-islington (miss-islington) Date: 2019-02-11 10:47
New changeset 537b6caa565ec2fc304ba6f4400cd347ce2af64b by Miss Islington (bot) (Eivind Teig) in branch 'master':
bpo-22062: Updated docstring and documentation for pathlib (GH-8519)
https://github.com/python/cpython/commit/537b6caa565ec2fc304ba6f4400cd347ce2af64b
msg335210 - (view) Author: miss-islington (miss-islington) Date: 2019-02-11 12:03
New changeset 2259b5af3c711b40d2b81eacc1b5d75cda1ae3e2 by Miss Islington (bot) in branch '3.7':
[3.7] bpo-22062: Updated docstring and documentation for pathlib (GH-8519) (GH-11817)
https://github.com/python/cpython/commit/2259b5af3c711b40d2b81eacc1b5d75cda1ae3e2
History
Date User Action Args
2019-02-11 12:03:20petr.viktorinsetstatus: open -> closed
stage: patch review -> resolved
2019-02-11 12:03:05miss-islingtonsetmessages: + msg335210
2019-02-11 10:47:35miss-islingtonsetpull_requests: + pull_request11838
2019-02-11 10:47:34miss-islingtonsetpull_requests: + pull_request11839
2019-02-11 10:47:33miss-islingtonsetpull_requests: + pull_request11837
2019-02-11 10:47:14miss-islingtonsetnosy: + miss-islington
messages: + msg335206
2018-07-28 12:22:58steve.dowersetkeywords: - easy
2018-07-28 12:20:27steve.dowersetversions: + Python 3.6, Python 3.7, Python 3.8, - Python 3.4, Python 3.5
2018-07-28 11:14:21eivlsetstage: needs patch -> patch review
pull_requests: + pull_request8034
2017-07-24 17:59:31terry.reedysetmessages: + msg299006
2017-07-24 17:46:55Mariattasetnosy: + Mariatta
messages: + msg299003
2017-07-24 17:32:19adityahasesetnosy: + adityahase
messages: + msg299001
2017-03-26 07:05:25serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg290511
2016-02-16 03:03:06Mike.Shortsetfiles: + pathlib.py.patch
2016-02-16 02:52:55Mike.Shortsetfiles: + pathlib.rst.patch
keywords: + patch
2016-01-05 01:55:09gvanrossumsetnosy: + docs@python, gvanrossum
messages: + msg257509

assignee: docs@python
components: + Documentation
keywords: + easy
2014-07-24 22:23:24r.david.murraysetnosy: + r.david.murray
messages: + msg223903
2014-07-24 22:11:01terry.reedycreate